//
//  AGGradientTableView.h
//  Araelium Edit 2.1
//
//  Created by Seth Willits on 8/21/07.
//  Copyright 2007 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>



@interface AGGradientTableView : NSTableView {
	NSGradient * mActiveRowSelectionGradient;
	NSGradient * mInactiveRowSelectionGradient;
	
	struct {
        NSUInteger acceptsFirstMouse:1;
		NSUInteger acceptsFirstResponderByMouse:1;
    } flags;
}

// Gradients
- (void)setActiveRowSelectionGradient:(NSGradient *)activeRowSelectionGradient;
- (NSGradient *)activeRowSelectionGradient;
- (void)setInactiveRowSelectionGradient:(NSGradient *)inactiveRowSelectionGradient;
- (NSGradient *)inactiveRowSelectionGradient;

// Mouse
- (void)setAcceptsFirstMouse:(BOOL)flag;
- (void)setAcceptsFirstResponderByMouse:(BOOL)flag;
- (BOOL)acceptsFirstResponderByMouse;

@end
