//
//  AGOutlineView.h
//  AraeliumAppKit
//
//  Created by Seth Willits on 5/3/13.
//  Copyright (c) 2013 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@protocol AGOutlineViewDelegate;


@interface AGOutlineView : NSOutlineView {
	
}

- (void)setDelegate:(id <AGOutlineViewDelegate>)delegate;
- (id <AGOutlineViewDelegate>)delegate;

@end


@protocol AGOutlineViewDelegate
#if MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_5
<NSOutlineViewDelegate>
#endif

- (BOOL)performKeyEquivalent:(NSEvent *)event inOutlineView:(NSOutlineView *)outlineView;
- (BOOL)keyDown:(NSEvent *)event inOutlineView:(NSOutlineView *)outlineView;
@end

